#include "filter.hh"

void Filter::initFilter(string n, string ty, double t, int nstd, string tf, long s, int nl, int r, double mfp)
{
  fid = rand();
}

double Filter::getfiltereff()
{
  double sum = 0;
  if (stats.size() < FNS)
    return -1;
  for (auto it = stats.begin(); it != stats.end(); it++)
    {
      sum += *it;
    }
  return sum/FNS;
}

int Filter::process(string ip, double outtime, int outlen, bool isquery, char* queryname, bool& isattack, int maxreqs, int ttl)
{
  return 1;
}

void Filter::printtable()
{
}

void Filter::reset()
{
}

void Filter::setnoblock(bool b)
{
  noblock = b;
}

void Filter::setpassed(int a, int g)
{
  apassed = a;
  gpassed = g;
  passed = apassed + gpassed;
}

void Filter::getfeff()
{
  double feff = ((double)(afiltered+gfiltered))/(afiltered+gfiltered+apassed+gpassed+1);
  stats.push_back((afiltered+gfiltered)/(afiltered+gfiltered+apassed+gpassed+1));
  if (stats.size() > FNS)
    stats.pop_front();
}

void Filter::resetcounts()
{

  amissing = afiltered = apassed = 0;
  gmissing = gfiltered = gpassed = 0;
  passed = filtered = 0;
}
